summaryrefslogtreecommitdiffstats
path: root/tests/common/delete_error.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/common/delete_error.sh')
-rw-r--r--tests/common/delete_error.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/common/delete_error.sh b/tests/common/delete_error.sh
new file mode 100644
index 0000000..e6327f3
--- /dev/null
+++ b/tests/common/delete_error.sh
@@ -0,0 +1,9 @@
+cd "$TEST"
+
+"$XTOUCH" -p foo/bar baz/qux
+chmod -w foo
+defer chmod +w foo
+
+! invoke_bfs . -print -delete -print >"$OUT" || fail
+sort_output
+diff_output